Skip to main content
GET
Get Agent Version
Integration Prompt for AI Agents
New: GET /v1/agents/{agent_id}/versions/{version}Deprecated: GET /v1/agents/{agent_id}/prompts/versions/{version}. Old path, still works.
Retrieves a specific agent version by version number.

Headers

X-Organization-Id
string
X-API-Key
string
required

API key required to authenticate requests.

Path Parameters

agent_id
integer
required
version
integer
required

Response

Successful Response

response model for prompt without created_at.

prompt_text
string
required

the prompt content

version
integer
required

the version number of the prompt

agent_id
integer
required

id of the agent that owns this prompt

id
string<uuid> | null

the id of the prompt

commit_message
string | null
labels
string[] | null

labels associated with the prompt

metadata
Metadata · object | null

arbitrary JSON metadata